PHPExcel_RichText

# Class: PHPExcel_RichText_ITextElement

Source Location: /PHPExcel/RichText/ITextElement.php

### Interface Overview

PHPExcel_RichText_ITextElement

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- getFont
- getHashCode
- getText
- setText

### Class Details

[line 34]
PHPExcel_RichText_ITextElement

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getFont [line 56]

`PHPExcel_Style_Font getFont( )`

Get font

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 63]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getText [line 41]

`string getText( )`

Get text

#### Tags:

return: | Text
access: | public

[ Top ]

### method setText [line 49]

`PHPExcel_RichText_ITextElement setText( [$pText $pText = ''])`

Set text

#### Tags:

access: | public

#### Parameters:

$pText | $pText | string Text

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:31 +0200 by phpDocumentor 1.4.4